Subject: Re: [PATCH 2/4] editor: use standard strvec API to receive environment for external editors

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 21 May 2025 09:56:07 +0200

On Tue, May 20, 2025 at 03:34:56PM -0400, D. Ben Knoble wrote:
> Going back to the introduction of the env parameter for the editor in
> 8babab95af (builtin-commit.c: export GIT_INDEX_FILE for launch_editor as
> well., 2007-11-26), we pass a constant array of strings: as the
> surrounding APIs evolved to use strvecs, the editor code did not.
> 
> There is only one caller of all 3 editor APIs that does not pass a NULL
> environment (the same caller for which this parameter was added), and
> it already has a strvec available to use.

Okay. It would've been nice to explain _why_ we want to do this change,
but the change itself looks sensible.

> Signed-off-by: D. Ben Knoble <[email-masked]>
> Helped-by: Johannes Schindelin <[email-masked]>

The order of these trailers should be reversed -- your SOB should always
come last.

Patrick